Subject: Re: bug#67552: libtorrent-rasterbar tests fail [with patch]

From: Tomas Volf <[email-masked]>
Date: Thu, 7 Dec 2023 16:11:34 +0100

Hello ^_^

On 2023-12-07 10:01:25 +0100, Ludovic Courtès wrote:
> I applied Tomas’ update from <https://issues.guix.gnu.org/67557> and
> everything built fine on my x86_64 machine, but test fails at ci.guix.
> From <https://ci.guix.gnu.org/build/2804230/log>:
>
> --8<---------------cut here---------------start------------->8---
> 100% tests passed, 0 tests failed out of 104
>
> Total Test time (real) = 759.05 sec
> Test project /tmp/guix-build-libtorrent-rasterbar-2.0.9.drv-0/build
>     Start 75: test_ssl
> 1/1 Test #75: test_ssl .........................***Timeout 600.11 sec
> test: /tmp/guix-build-libtorrent-rasterbar-2.0.9.drv-0/build/test/test_ssl
> cwd_prefix = "/tmp/guix-build-libtorrent-rasterbar-2.0.9.drv-0/build/test/test_tmp_7352_"
>
>
> 0% tests passed, 1 tests failed out of 1
>
> Total Test time (real) = 600.11 sec
>
> The following tests FAILED:
> 	 75 - test_ssl (Timeout)
> Errors while running CTest
> --8<---------------cut here---------------end--------------->8---
>
> I don’t think Arne’s patch addresses this, right?

Correct, it does not.

>
> Let me know what you think should be done.

Good question.  For the time being I would suggest applying the attached patch
to work around the immediate issue, it would be nice to have the substitute
available in ci as well (for some reason the build succeeded in bordeaux).

    $ guix weather libtorrent-rasterbar
    computing 1 package derivations for x86_64-linux...
    looking for 1 store items on https://ci.guix.gnu.org...
    https://ci.guix.gnu.org ⛈
      0.0% substitutes available (0 out of 1)
      unknown substitute sizes
      0.0 MiB on disk (uncompressed)
      0.233 seconds per request (0.2 seconds in total)
      4.3 requests per second

      0.0% (0 out of 1) of the missing items are queued
      at least 1000 queued builds
          aarch64-linux: 998 (99.8%)
          armhf-linux: 2 (.2%)
      build rate: 15.54 builds per hour
          powerpc64le-linux: 3.67 builds per hour
          x86_64-linux: 6.47 builds per hour
          i686-linux: 3.93 builds per hour
          aarch64-linux: 1.65 builds per hour
    looking for 1 store items on https://bordeaux.guix.gnu.org...
    https://bordeaux.guix.gnu.org ☀
      100.0% substitutes available (1 out of 1)
      2.4 MiB of nars (compressed)
      12.2 MiB on disk (uncompressed)
      0.233 seconds per request (0.2 seconds in total)
      4.3 requests per second
      (continuous integration information unavailable)

And I will look into getting the test working (starting with just removing the
timeout) and send a separate patch re-enabling it once I have a solution.

Does that sound reasonable?

Have a nice day,
Tomas

--
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.
From 5e4c31518aba62b2cca7c346bcc56cfa9a4d10d0 Mon Sep 17 00:00:00 2001
Message-ID: <[email-masked]>
From: Tomas Volf <[email-masked]>
Date: Thu, 7 Dec 2023 16:02:15 +0100
Subject: [PATCH] gnu: libtorrent-rasterbar: Disable test_ssl test.

It times out in the ci.guix.gnu.org, so this commit disables it.  It will be
re-enabled once solution is found.

* gnu/packages/bittorrent.scm
(libtorrent-rasterbar)[arguments]<#:phases>['check]: Disable test_ssl test.

Change-Id: Ib396fd8a1786e14baad72ae892bdd0fd3fe7a180
---
 gnu/packages/bittorrent.scm | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/bittorrent.scm b/gnu/packages/bittorrent.scm
index 731c8e1c20..8c032940d4 100644
--- a/gnu/packages/bittorrent.scm
+++ b/gnu/packages/bittorrent.scm
@@ -488,12 +488,16 @@ (define-public libtorrent-rasterbar
                  ;; test_fast_extension, test_privacy and test_resolve_links
                  ;; to hang, even with FAKETIME_ONLY_CMDS.  Not sure why.  So
                  ;; execute only test_ssl under faketime.
-                 (invoke "faketime" "2022-10-24"
-                         "ctest"
-                         "-R" "^test_ssl$"
-                         "-j" jobs
-                         "--timeout" timeout
-                         "--output-on-failure"))))))))
+                 ;;
+                 ;; Note: The test_ssl test times out in the ci.
+                 ;; Temporarily disable it until that is resolved.
+                 ;; (invoke "faketime" "2022-10-24"
+                 ;;         "ctest"
+                 ;;         "-R" "^test_ssl$"
+                 ;;         "-j" jobs
+                 ;;         "--timeout" timeout
+                 ;;         "--output-on-failure")
+                 )))))))
     (inputs (list boost openssl))
     (native-inputs `(("libfaketime" ,libfaketime)
                      ("python-wrapper" ,python-wrapper)

base-commit: 99bf4840cec2e74d1824684dd8bd29511e904ba0
-- 
2.41.0